name: Flake check

on: [pull_request]

jobs:
  flake-check:
    runs-on: runner
    env:
      NIXPKGS_ALLOW_UNFREE: 1
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Run flake check
        run: nix flake check --impure
